disk_s Struct Reference
Implementation internals

## Data Fields

struct disk_s * | next
unsigned | crc
unsigned | crc_match:1
unsigned | hd_idx
char * | dev_name
unsigned char * | data

## Field Documentation

## crc

unsigned disk_s::crc

Referenced by hd_boot_disk().

## crc_match

unsigned disk_s::crc_match

Referenced by hd_boot_disk().

## data

unsigned char* disk_s::data

Referenced by hd_boot_disk().

## dev_name

char* disk_s::dev_name

Referenced by dev_name_duplicate(), and hd_boot_disk().

## hd_idx

unsigned disk_s::hd_idx

Referenced by hd_boot_disk().

## next

struct disk_s* disk_s::next

Referenced by add_disk_entry(), dev_name_duplicate(), free_disk_list(), and hd_boot_disk().

The documentation for this struct was generated from the following file:

- hd.c